Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1064150 - Permission grant does not work when trailing slash is missing
Summary: Permission grant does not work when trailing slash is missing
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Pulp
Classification: Retired
Component: documentation
Version: 2.4.1
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 2.6.0
Assignee: amacdona@redhat.com
QA Contact: Preethi Thomas
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-12 06:18 UTC by Sayli Karmarkar
Modified: 2015-03-23 01:12 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-28 22:02:30 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Pulp Redmine 396 None None None Never

Description Sayli Karmarkar 2014-02-12 06:18:11 UTC
Description of problem:
If I want to grant a user permissions to manage all repos the only resource URI that works is - /v2/repositories/

Following 2 do not result in any warning, but do not work -
1. /v2/repositories
2. /repositories/

Either this should be clarified in the docs or ideally, fixed in the code.

Comment 1 amacdona@redhat.com 2014-10-07 19:18:56 UTC
Fixed with https://github.com/pulp/pulp/pull/1205

Comment 2 Chris Duryee 2014-12-23 20:52:54 UTC
fixed in pulp 2.6.0-0.2.beta

Comment 4 Brian Bouterse 2015-02-28 22:02:30 UTC
Moved to https://pulp.plan.io/issues/396


Note You need to log in before you can comment on or make changes to this bug.